"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEsbuildPlugin = createEsbuildPlugin;
const promises_1 = __importDefault(require("node:fs/promises"));
const template_1 = require("../template");
function createEsbuildPlugin(configuration) {
    return {
        name: "feature",
        setup(build) {
            build.onLoad({ filter: /\.feature$/ }, async (args) => {
                const content = await promises_1.default.readFile(args.path, "utf8");
                return {
                    contents: await (0, template_1.compile)(configuration, content, args.path),
                    loader: "js",
                };
            });
        },
    };
}
exports.default = createEsbuildPlugin;
